## sigsum-log-go 0.15.2

=== internal/mocks/Makefile ===
# Makefile to regenerate mock files.

all: db/db.go state/state.go trillian/trillian.go
.PHONY: all

db/db.go: ../db/client.go
	go run github.com/golang/mock/mockgen --destination $@ --package db sigsum.org/log-go/internal/db Client

state/state.go: ../state/state_manager.go
	go run github.com/golang/mock/mockgen --destination $@ --package state sigsum.org/log-go/internal/state StateManager

trillian/trillian.go: ../../go.mod
	go run github.com/golang/mock/mockgen --destination $@ --package trillian github.com/google/trillian TrillianLogClient

=== debian/changelog ===
sigsum-log-go (0.15.2-1) unstable; urgency=medium

  * Initial release (Closes: #1101894)

 -- Simon Josefsson <simon@josefsson.org>  Sun, 15 Feb 2026 22:51:18 +0100

=== debian/control ===
Source: sigsum-log-go
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-golang-mock-dev,
 golang-github-google-trillian-dev,
 golang-github-pborman-getopt-dev,
 golang-google-grpc-dev,
 golang-prometheus-client-dev,
 golang-sigsum-sigsum-go-dev,
 golang-toml-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/sigsum-log-go
Vcs-Git: https://salsa.debian.org/go-team/packages/sigsum-log-go.git
Homepage: https://git.glasklar.is/sigsum/core/log-go/
XS-Go-Import-Path: sigsum.org/log-go

Package: sigsum-log-go
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Static-Built-Using:
 ${misc:Static-Built-Using},
Description: Sigsum Transparency Log server implementation in Go
 This provides a log server that implements the Sigsum protocol and
 the tlog-witness protocol. Database replication between a primary
 node and a secondary node is included. Trillian and MariaDB are used
 for backing the storage on each node.
 .
 This package contains the command-line tools.

Package: golang-sigsum-log-go-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-golang-mock-dev,
 golang-github-google-trillian-dev,
 golang-github-pborman-getopt-dev,
 golang-google-grpc-dev,
 golang-prometheus-client-dev,
 golang-sigsum-sigsum-go-dev,
 golang-toml-dev,
 ${misc:Depends},
Description: Sigsum Transparency Log server implementation in Go (library)
 This provides a log server that implements the sigsum protocol and
 the tlog-witness protocol. Database replication between a primary
 node and a secondary node is included. Trillian and MariaDB are used
 for backing the storage on each node.
 .
 This package contains the Go development library.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := \
	internal/rate-limit/test_suffix_list.dat \
	doc/config.toml.example

%:
	dh $@ --builddirectory=debian/_build --buildsystem=golang

execute_before_dh_auto_build:
	cp -rv debian/vendor/* debian/_build/src/
# # sigsum.org/log-go/internal/node/secondary
# package sigsum.org/log-go/internal/node/secondary (test)
# 	imports sigsum.org/sigsum-go/pkg/mocks: no Go files in /build/sigsum-log-go-0.15.2/_build/src/sigsum.org/sigsum-go/pkg/mocks
# FAIL	sigsum.org/log-go/internal/node/secondary [setup failed]
	rm -fv debian/_build/src/sigsum.org/log-go/internal/node/secondary/endpoint_internal_test.go
	rm -fv debian/_build/src/sigsum.org/log-go/internal/node/secondary/secondary_test.go
	rm -fv debian/_build/src/sigsum.org/log-go/internal/state/replication_state_test.go
	rm -fv debian/_build/src/sigsum.org/log-go/internal/state/single_test.go
	rm -fv debian/_build/src/sigsum.org/log-go/internal/witness/witness_test.go

=== debian/watch ===
Version: 5
Source: https://git.glasklar.is/sigsum/core/log-go.git
Matching-Pattern: refs/tags/v([\d\.]+)
Mode: git
